Skip to main content
GET
/
api
/
agent
/
jobs
/
{id}
Poll async job status
curl --request GET \
  --url https://app.auditynow.com/api/agent/jobs/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "pending",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "error": "<string>",
    "errorCode": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.auditynow.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.

Path Parameters

id
string<uuid>
required

The job's UUID.

Response

Job status

data
object
required

Status of an async job. Use the status enum (pending, processing, completed, failed) to determine next action.